#include <fstream>
using namespace std;
ifstream f1("taoxau.inp");
ofstream f2("taoxau.out");
int n;
string s;
bool kt(char c,int i)
{
    if (i == 0) return true;
    if (s[i-1] == 'B' && s[i] == 'B') return false;
    return true;
}
void ra()
{
    for (int i = 0; i < n; i++) f2 << s[i];
    f2 << endl;
}
int doi(int j)
{
    for (int i = 0; i <= 1; i++)
    {
        if (i == 0) s[j] = 'A';
        else s[j] = 'B';
        if (kt(s[j],j) == 1)
        {
            if (j == n-1) ra();
            else doi(j+1);
        }
    }
}
int main()
{
    f1 >> n;
    doi(0);
    return 0;
}
